Flecs: ecs_misc_memory_t Struct Reference
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.0 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
ecs_misc_memory_t Struct Reference
C API » Addons » Stats

Misc memory. More...

`#include <stats.h>`

## Public Attributes
ecs_size_t | bytes_world
ecs_size_t | bytes_observers
| Memory used by world and stages.
ecs_size_t | bytes_systems
| Memory used by observers.
ecs_size_t | bytes_pipelines
| Memory used by systems (excluding system queries).
ecs_size_t | bytes_table_lookup
| Memory used by pipelines (excluding pipeline queries).
ecs_size_t | bytes_component_record_lookup
| Bytes used for table lookup data structures.
ecs_size_t | bytes_type_info
| Bytes used for component record lookup data structures.
ecs_size_t | bytes_commands
| Bytes used for storing type information.
ecs_size_t | bytes_rematch_monitor
| Command queue.
ecs_size_t | bytes_component_ids
| Memory used by monitor used to track rematches.
ecs_size_t | bytes_reflection
| Memory used for mapping global to world-local component ids.
ecs_size_t | bytes_stats
| Memory used for component reflection not tracked elsewhere.
ecs_size_t | bytes_rest
| Memory used for statistics tracking not tracked elsewhere.

## Detailed Description

Misc memory.

Definition at line 571 of file stats.h.

## Member Data Documentation

## ◆ bytes_commands

ecs_size_t ecs_misc_memory_t::bytes_commands

Bytes used for storing type information.

Definition at line 579 of file stats.h.

## ◆ bytes_component_ids

ecs_size_t ecs_misc_memory_t::bytes_component_ids

Memory used by monitor used to track rematches.

Definition at line 581 of file stats.h.

## ◆ bytes_component_record_lookup

ecs_size_t ecs_misc_memory_t::bytes_component_record_lookup

Bytes used for table lookup data structures.

Definition at line 577 of file stats.h.

## ◆ bytes_observers

ecs_size_t ecs_misc_memory_t::bytes_observers

Memory used by world and stages.

Definition at line 573 of file stats.h.

## ◆ bytes_pipelines

ecs_size_t ecs_misc_memory_t::bytes_pipelines

Memory used by systems (excluding system queries).

Definition at line 575 of file stats.h.

## ◆ bytes_reflection

ecs_size_t ecs_misc_memory_t::bytes_reflection

Memory used for mapping global to world-local component ids.

Definition at line 582 of file stats.h.

## ◆ bytes_rematch_monitor

ecs_size_t ecs_misc_memory_t::bytes_rematch_monitor

Command queue.

Definition at line 580 of file stats.h.

## ◆ bytes_rest

ecs_size_t ecs_misc_memory_t::bytes_rest

Memory used for statistics tracking not tracked elsewhere.

Definition at line 584 of file stats.h.

## ◆ bytes_stats

ecs_size_t ecs_misc_memory_t::bytes_stats

Memory used for component reflection not tracked elsewhere.

Definition at line 583 of file stats.h.

## ◆ bytes_systems

ecs_size_t ecs_misc_memory_t::bytes_systems

Memory used by observers.

Definition at line 574 of file stats.h.

## ◆ bytes_table_lookup

ecs_size_t ecs_misc_memory_t::bytes_table_lookup

Memory used by pipelines (excluding pipeline queries).

Definition at line 576 of file stats.h.

## ◆ bytes_type_info

ecs_size_t ecs_misc_memory_t::bytes_type_info

Bytes used for component record lookup data structures.

Definition at line 578 of file stats.h.

## ◆ bytes_world

ecs_size_t ecs_misc_memory_t::bytes_world

Definition at line 572 of file stats.h.

The documentation for this struct was generated from the following file:

- include/flecs/addons/stats.h